<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFRowShifter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFRowShifter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFRowShifter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFColumnShifter.html"
               title="class in org.apache.poi.hssf.usermodel.helpers"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFRowShifter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.ss.usermodel.helpers.RowShifter">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel.helpers</div>
    <h2 title="Class HSSFRowShifter" class="title">Class HSSFRowShifter</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html"
                       title="class in org.apache.poi.ss.usermodel.helpers">org.apache.poi.ss.usermodel.helpers.BaseRowColShifter</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../../org/apache/poi/ss/usermodel/helpers/RowShifter.html"
                               title="class in org.apache.poi.ss.usermodel.helpers">org.apache.poi.ss.usermodel.helpers.RowShifter</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hssf.usermodel.helpers.HSSFRowShifter</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSSFRowShifter</span>
extends <a href="../../../../../../org/apache/poi/ss/usermodel/helpers/RowShifter.html"
           title="class in org.apache.poi.ss.usermodel.helpers">RowShifter</a></pre>
                <div class="block">Helper for shifting rows up or down</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.ss.usermodel.helpers.RowShifter">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.ss.usermodel.helpers.<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/RowShifter.html"
                                        title="class in org.apache.poi.ss.usermodel.helpers">RowShifter</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/RowShifter.html#sheet">sheet</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html#HSSFRowShifter-org.apache.poi.hssf.usermodel.HSSFSheet-">HSSFRowShifter</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sh)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html#updateConditionalFormatting-org.apache.poi.ss.formula.FormulaShifter-">updateConditionalFormatting</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>
                                    <div class="block">Update conditional formatting</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html#updateFormulas-org.apache.poi.ss.formula.FormulaShifter-">updateFormulas</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>
                                    <div class="block">Update formulas.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html#updateHyperlinks-org.apache.poi.ss.formula.FormulaShifter-">updateHyperlinks</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>
                                    <div class="block">Shift the Hyperlink anchors (not the hyperlink text, even if the
                                        hyperlink
                                        is of type LINK_DOCUMENT and refers to a cell that was shifted).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html#updateNamedRanges-org.apache.poi.ss.formula.FormulaShifter-">updateNamedRanges</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>
                                    <div class="block">Update named ranges</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.helpers.RowShifter">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.usermodel.helpers.<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/RowShifter.html"
                                        title="class in org.apache.poi.ss.usermodel.helpers">RowShifter</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/RowShifter.html#shiftMergedRegions-int-int-int-">shiftMergedRegions</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.helpers.BaseRowColShifter">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.usermodel.helpers.<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html"
                                        title="class in org.apache.poi.ss.usermodel.helpers">BaseRowColShifter</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#shiftRange-org.apache.poi.ss.formula.FormulaShifter-org.apache.poi.ss.util.CellRangeAddress-int-">shiftRange</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFRowShifter-org.apache.poi.hssf.usermodel.HSSFSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFRowShifter</h4>
                                <pre>public&nbsp;HSSFRowShifter(<a
                                        href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sh)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="updateNamedRanges-org.apache.poi.ss.formula.FormulaShifter-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>updateNamedRanges</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;updateNamedRanges(<a href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                           title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateNamedRanges-org.apache.poi.ss.formula.FormulaShifter-">BaseRowColShifter</a></code></span>
                                </div>
                                <div class="block">Update named ranges</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateNamedRanges-org.apache.poi.ss.formula.FormulaShifter-">updateNamedRanges</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html"
                                                title="class in org.apache.poi.ss.usermodel.helpers">BaseRowColShifter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="updateFormulas-org.apache.poi.ss.formula.FormulaShifter-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>updateFormulas</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;updateFormulas(<a href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateFormulas-org.apache.poi.ss.formula.FormulaShifter-">BaseRowColShifter</a></code></span>
                                </div>
                                <div class="block">Update formulas.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateFormulas-org.apache.poi.ss.formula.FormulaShifter-">updateFormulas</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html"
                                                title="class in org.apache.poi.ss.usermodel.helpers">BaseRowColShifter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="updateConditionalFormatting-org.apache.poi.ss.formula.FormulaShifter-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>updateConditionalFormatting</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;updateConditionalFormatting(<a
                                            href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                            title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateConditionalFormatting-org.apache.poi.ss.formula.FormulaShifter-">BaseRowColShifter</a></code></span>
                                </div>
                                <div class="block">Update conditional formatting</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateConditionalFormatting-org.apache.poi.ss.formula.FormulaShifter-">updateConditionalFormatting</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html"
                                                title="class in org.apache.poi.ss.usermodel.helpers">BaseRowColShifter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="updateHyperlinks-org.apache.poi.ss.formula.FormulaShifter-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>updateHyperlinks</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;updateHyperlinks(<a href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                          title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateHyperlinks-org.apache.poi.ss.formula.FormulaShifter-">BaseRowColShifter</a></code></span>
                                </div>
                                <div class="block">Shift the Hyperlink anchors (not the hyperlink text, even if the
                                    hyperlink
                                    is of type LINK_DOCUMENT and refers to a cell that was shifted). Hyperlinks
                                    do not track the content they point to.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateHyperlinks-org.apache.poi.ss.formula.FormulaShifter-">updateHyperlinks</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html"
                                                title="class in org.apache.poi.ss.usermodel.helpers">BaseRowColShifter</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formulaShifter</code> - the formula shifting policy</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFRowShifter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFColumnShifter.html"
               title="class in org.apache.poi.hssf.usermodel.helpers"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFRowShifter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.ss.usermodel.helpers.RowShifter">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
